Skip to main content

List Log Files

This API is used to list logs and download URLs with 5 minutes data sample. It will set values array is empty if no logs in the 5 minutes slot.

Request​

Request-Line​

POST /cdn/v1.0/log/list HTTP/1.1

Request Parameters​

Query String​

ParameterTypeRequiredDescription
serviceNamesArrayMandatoryArray of service names. The service names length should not be greater than 50.
startTimeStringMandatoryStart time in UTC format yyyy-MM-ddTHH:mm:ssZ (e.g., 2025-10-22T04:00:00Z).
endTimeStringMandatoryEnd time in UTC format yyyy-MM-ddTHH:mm:ssZ (e.g., 2025-10-22T04:10:00Z). Note: The Time range between startTime and endTime must not exceed 24 hours.

Response​

Response Body​

ParameterTypeDescription
serviceNameStringName of service.
logsArrayList of log objects. See Logs for details.

Object: Logs​

ParameterTypeDescription
timestampStringFormat yyyy-MM-ddTHH:mm:ssZ UTC time. E.g. 2018-03-29T17:35:00Z will return data from 2018-03-29T17:35:00Z to 2018-03-29T17:39:59Z.
valuesArrayList of value objects. See values for details.

Object: Values​

ParameterTypeDescription
fileNameStringLog file name.
fileUrlStringLog file download URL. It contains query parameters "expire" and "sign" for download authentication. The URL is valid for 7 days.
fileSizeStringFile size of the log.

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400Request.BadRequestBad request.
400ServiceNames.InvalidThe list of service names is required and must contain valid names.
400ServiceNames.NumberInvalidService names limit exceeded.
400StartTime.InvalidStartTime is empty or invalid.
400EndTime.InvalidEndTime is empty or is invalid.
400TimeRange.EndBeforeStartEndTime must be later than StartTime.
400TimeFormat.InvalidStartTime or EndTime must use UTC format yyyy-MM-ddTHH:mm:ssZ.

Examples​

List Log Files​

Request​

POST /cdn/v1.0/log/list HTTP/1.1

{
"serviceNames": [
"v53-gl.tiktokrow-cdn.com"
],
"startTime": "2025-10-22T04:00:00Z",
"endTime": "2025-10-22T10:00:00Z"
}

Successful Response Body​

[
{
"serviceName": "v53-gl.tiktokrow-cdn.com",
"logs": [
{
"timestamp": "2025-10-22T04:00:00Z",
"values": [
{
"fileName": "20251022040000_202510220410051143-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022040000_202510220410051143-150.log.gz?expire=1762513628&sign=25a69db86a1473536a8a8a1c896d46bb2779287a",
"fileSize": 504
},
{
"fileName": "20251022040000_202510220405057603-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022040000_202510220405057603-151.log.gz?expire=1762513628&sign=bd17de6f519a9a397a8c48cc98ff7c6f0970a608",
"fileSize": 543
}
]
},
{
"timestamp": "2025-10-22T05:00:00Z",
"values": [
{
"fileName": "20251022050000_202510220504070533-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022050000_202510220504070533-150.log.gz?expire=1762513628&sign=2dda02660e26794382a79329d10c82352eeee3a3",
"fileSize": 613
},
{
"fileName": "20251022050000_202510220509038083-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022050000_202510220509038083-151.log.gz?expire=1762513628&sign=1bb06057020af19855014c79419bebd0666f46bd",
"fileSize": 394
}
]
},
{
"timestamp": "2025-10-22T06:00:00Z",
"values": [
{
"fileName": "20251022060000_202510220610039903-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022060000_202510220610039903-151.log.gz?expire=1762513628&sign=296bf3036dd8afaf0f0779d353ec1908722e7aef",
"fileSize": 536
},
{
"fileName": "20251022060000_202510220605051673-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022060000_202510220605051673-150.log.gz?expire=1762513628&sign=bfc7d0dbe58f3021360bb2063656dbeabc62327d",
"fileSize": 547
}
]
},
{
"timestamp": "2025-10-22T07:00:00Z",
"values": [
{
"fileName": "20251022070000_202510220704046193-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022070000_202510220704046193-151.log.gz?expire=1762513628&sign=80826ce95cb31248a6efd83aa6539a1020e25f79",
"fileSize": 490
},
{
"fileName": "20251022070000_202510220714044703-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022070000_202510220714044703-150.log.gz?expire=1762513628&sign=3d90894a0a7b75cbc5507222c49027a10c948cd4",
"fileSize": 578
}
]
},
{
"timestamp": "2025-10-22T08:00:00Z",
"values": [
{
"fileName": "20251022080000_202510220806165123-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022080000_202510220806165123-151.log.gz?expire=1762513628&sign=3a31992b23fc6ecf6152bed458bb7d234bdf9cff",
"fileSize": 571
},
{
"fileName": "20251022080000_202510220811317443-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022080000_202510220811317443-150.log.gz?expire=1762513628&sign=d0cffe2c5046ef99aefbb57c5756c325af4b58e6",
"fileSize": 436
}
]
},
{
"timestamp": "2025-10-22T09:00:00Z",
"values": [
{
"fileName": "20251022090000_202510220905041963-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022090000_202510220905041963-151.log.gz?expire=1762513628&sign=ce2347fc6a46345beafcb839f51e6d59315f6d5a",
"fileSize": 466
},
{
"fileName": "20251022090000_202510220910048783-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022090000_202510220910048783-150.log.gz?expire=1762513628&sign=ea15c9bb36e10a3d4df0c107c6a02bf618b63ee9",
"fileSize": 585
}
]
},
{
"timestamp": "2025-10-22T10:00:00Z",
"values": [
{
"fileName": "20251022100000_202510221023071553-150.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022100000_202510221023071553-150.log.gz?expire=1762513628&sign=b6b7210f4429826480d397647cd611cec60e814a",
"fileSize": 544
},
{
"fileName": "20251022100000_202510221008280573-151.log.gz",
"fileUrl": "https://cdn-dl-dev.flashcone.com/download/v53-gl.tiktokrow-cdn.com/20251022/20251022100000_202510221008280573-151.log.gz?expire=1762513628&sign=91faf140e4ef1ef4d57345990b1a39cf25c24d1f",
"fileSize": 498
}
]
}
]
}
]